CentOS 3 / 4 : sendmail (CESA-2006:0264)

High Nessus Plugin ID 21893

Synopsis

The remote CentOS host is missing one or more security updates.

Description

Updated sendmail packages to fix a security issue are now available for Red Hat Enterprise Linux 3 and 4.

This update has been rated as having critical security impact by the Red Hat Security Response Team.

Sendmail is a Mail Transport Agent (MTA) used to send mail between machines.

A flaw in the handling of asynchronous signals was discovered in Sendmail. A remote attacker may be able to exploit a race condition to execute arbitrary code as root. The Common Vulnerabilities and Exposures project assigned the name CVE-2006-0058 to this issue.

By default on Red Hat Enterprise Linux 3 and 4, Sendmail is configured to only accept connections from the local host. Therefore, only users who have configured Sendmail to listen to remote hosts would be able to be remotely exploited by this vulnerability.

Users of Sendmail are advised to upgrade to these erratum packages, which contain a backported patch from the Sendmail team to correct this issue.

Solution

Update the affected sendmail packages.

See Also

http://www.nessus.org/u?e7f1bc55

http://www.nessus.org/u?aa493fd6

http://www.nessus.org/u?5d121fba

http://www.nessus.org/u?97fca209

http://www.nessus.org/u?ffe36921

http://www.nessus.org/u?e36fe661

Plugin Details

Severity: High

ID: 21893

File Name: centos_RHSA-2006-0264.nasl

Version: 1.17

Type: local

Agent: unix

Published: 2006/07/03

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:centos:centos:sendmail, p-cpe:/a:centos:centos:sendmail-cf, p-cpe:/a:centos:centos:sendmail-devel, p-cpe:/a:centos:centos:sendmail-doc, cpe:/o:centos:centos:3, cpe:/o:centos:centos:4

Patch Publication Date: 2006/03/22

Reference Information

CVE: CVE-2006-0058

RHSA: 2006:0264